Page MenuHomePhabricator

Nomination of Legoktm for Toolforge admin role
Closed, ResolvedPublic

Tokens
"Like" token, awarded by Harej."Like" token, awarded by MusikAnimal."Like" token, awarded by zhuyifei1999."Like" token, awarded by Mahir256."Like" token, awarded by Marostegui."Like" token, awarded by Addshore."Like" token, awarded by Framawiki."Like" token, awarded by Krenair."Like" token, awarded by Jdforrester-WMF.
Assigned To
Authored By
bd808, Jul 21 2018

Description

I would like to nominate @Legoktm for admin (root) rights in the Toolforge project. Lego is a long time Toolforge user and trusted community member. He already has the prerequisite NDA coverage (Foundation staff/contractor).

He has specifically volunteered to help improve the Kubernetes environment, but I'm pretty certain that he will help us make many other things more awesome as well.

Event Timeline

bd808 created this task.Jul 21 2018, 11:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2018, 11:07 AM

I don't think I needed a task like this for those rights. @Legoktm is a deployer he can probably still do cloudadmin stuff like adding himself to that group anyway.

We don't have a formal process for this (yet), but like +2 and production shell rights changes I felt that it would be a good idea to have a bit of documentation and probably a short discussion within the cloud-services-team.

Framawiki added a subscriber: Framawiki.

Support. Dis kat apurrvs :-)

Harej awarded a token.Jul 25 2018, 8:46 PM
bd808 added a subscriber: Andrew.Jul 29 2018, 1:59 PM

Steps from https://wikitech.wikimedia.org/wiki/Portal:Toolforge/Admin#What_makes_a_root:

  • Project administrator: This allows a user to add and delete other users from the Toolforge project.
  • sudo policy "roots": This allows a user to use sudo to become root on Toolforge instances.
  • 'admin' tool maintainer: This allows a user to log into infrastructure instances and perform tasks as the admin tool.
  • Gerrit groups "labs-toollabs" and "toollabs-trusted": These allow a user to +2 changes in repositories exclusive to Toolforge.

I did not grant @Legoktm into the labs-toollabs gerrit group because I myself am not in the group! Looks like help from @Andrew is needed to expand the list of folks there or we should drop it from the list.

bd808 closed this task as Resolved.Jul 29 2018, 2:18 PM
bd808 claimed this task.

Will follow up on T159051.